<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.gic</groupId>
        <artifactId>gic-pom-base</artifactId>
        <version>3.0-SNAPSHOT</version>
        <relativePath/>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>haoban-manage3-api</artifactId>
    <version>${libraryVersion}</version>

    <name>haoban-manage3-api</name>
    
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <libraryVersion>3.0-SNAPSHOT</libraryVersion>
    </properties>
	<distributionManagement>
        <repository>
            <!-- 和 Maven setting 保持一致 -->
            <id>nexus-snapshots</id>
            <name>nexus distribution snapshot repository</name>
            <url>http://10.0.0.29:8081/nexus/content/repositories/snapshots/</url>
        </repository>
        <snapshotRepository>
            <!-- 和 Maven setting 保持一致 -->
            <id>nexus-snapshots</id>
            <name>nexus distribution snapshot repository</name>
            <url>http://10.0.0.29:8081/nexus/content/repositories/Snapshots-1/</url>
        </snapshotRepository>
    </distributionManagement>
    <dependencies>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-base-api</artifactId>
            <version>${haoban-base-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-commons</artifactId>
            <version>${gic-commons}</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>haoban-manage3-api</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-deploy-plugin</artifactId>
                <version>2.7</version>
                <executions>
                    <execution>
                        <id>default-deploy</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>flatten-maven-plugin</artifactId>
                <!--<version>1.1.0-SNAPSHOT</version>-->
                <configuration>
                    <flattenMode>defaults</flattenMode>
                </configuration>
                <executions>
                    <!-- enable flattening -->
                    <execution>
                        <id>flatten</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>flatten</goal>
                        </goals>
                    </execution>
                    <!-- ensure proper cleanup -->
                    <execution>
                        <id>flatten.clean</id>
                        <phase>clean</phase>
                        <goals>
                            <goal>clean</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
